Bug 6569 - libXfont and libXt broken when linked with -bdirect
libXfont and libXt broken when linked with -bdirect
Status: CLOSED WONTFIX
Product: xorg
Classification: Unclassified
Component: Lib/Xft
unspecified
Other Linux (All)
: high normal
Assigned To: Keith Packard
https://bugs.gentoo.org/show_bug.cgi?...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 23:04 UTC by Patrizio Bassi
Modified: 2011-10-15 17:14 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrizio Bassi 2006-04-12 23:04:01 UTC
when linking with -bdirect libXft is broken and makes the X server not to start.
telling it can't find fonts.

similar problems with libXt and libXfont. with -bdirect some application like emacs, 
xpdf, xdvi, gv, fails with:
Error: Unresolved inheritance operation

the should be another error too in some lib (i don't know) because xedit fails with the 
same previous error, even after filtering the flags on xft, xfont and xt.
Comment 1 Peter Hjalmarsson 2006-04-13 03:14:23 UTC
Here is what you got with -bdirect enabled for libXfont (taken from a diff of
two logfiles):

+Could not init font path element /usr/share/fonts/misc, removing from list!
+Could not init font path element /usr/share/fonts/Type1, removing from list!
+Could not init font path element /usr/share/fonts/TTF, removing from list!
+Could not init font path element /usr/share/fonts/ttf-bitstream-vera, removing
from list!
+Could not init font path element /usr/share/fonts/75dpi, removing from list!
+Could not init font path element /usr/share/fonts/100dpi, removing from list!
+
+Fatal server error:
+could not open default font 'fixed'


If there is any way I could help to find the problem, just ask.

Oh, and should we do one bugreport for each lib, I have no problems (maybe
becouse I don't use those other applications) except for libXfont, and even if
the problems is similar (at least in the sense "use -bdirect and they will not
work") they may be very unlike each other?
I think it is better with one "tracking-bug" if central bugreport feels needed
is needed, also easier to search with seperated bugs.
Comment 2 Peter Hjalmarsson 2006-04-13 03:52:30 UTC
Oh, and Petrizio is wrong, it is libXfont (as stated by me above) that kills
xorg-server, it is the only package I have compiled without -bdirect for the
moment of the libX*....
Comment 3 Patrizio Bassi 2006-04-13 04:50:54 UTC
you're right.

libXfont for X server start and libXt for xpdf and friend error.

(changed the summary)
Comment 4 ajax at nwnk dot net 2006-06-02 14:34:16 UTC
believed to be fixed in Xfont head, can you test?
Comment 5 Patrizio Bassi 2010-12-03 01:56:42 UTC
i'm going to close this as bdirect (even experimental) is dropped by glibc/binutils